@echo off
REM ********************************************************************************************
REM *              Script for creating the Innovaphone DHCP Options                            *
REM * FOR MORE INFO                                                                            *
REM * http://wiki.innovaphone.com/index.php?title=Howto:How_to_use_the_innovaphone_DHCP_client *
REM *                                                                                          *
REM ********************************************************************************************

netsh Dhcp Server show Server | find "=" > NUL || goto noserver
cls

echo **************************************************************************
echo *                                                                        *
echo * This script add the innovaphone DHCP Options to your local DHCP Server *
echo * a backup copy will be saved to the local directory                     *
echo * press CTRL-C to cancel or any other key to continue                    *
echo *                                                                        *
echo **************************************************************************
pause > NUL

netsh Dhcp Server Dump > dhcp_server_before_innovaphone_script.bak

netsh Dhcp Server Add Class "innovaphone" "innovaphone VoIP Options" 312e332e362e312e342e312e36363636 1 b 
netsh Dhcp Server Add Optiondef 200 "H323 gatekeeper" IPADDRESS 1 vendor="innovaphone" comment="Defines the IP address of both the primary and the alternate gatekeeper for the device. This is only required, if gatekeeper discovery is not feasible" 0.0.0.0
netsh Dhcp Server Add Optiondef 201 "H323 gatekeeper id" STRING 0 vendor="innovaphone" comment="The gatekeeper id of the gatekeeper the device likes to register with. Usually required only if several gatekeepers are running and a particular one must be chosen during gatekeeper discovery" "" 
netsh Dhcp Server Add Optiondef 202 "POSIX TZ" STRING 0 vendor="innovaphone" comment="Defines both the time zone and the daylight saving time information." "" 
netsh Dhcp Server Add Optiondef 203 "Default coder" STRING 0 vendor="innovaphone" comment="Defines the preferred coders for H.245 coder negotiation, as well as the packet size when sending RTP packets and the use of CNG and VAD" "" 
netsh Dhcp Server Add Optiondef 204 "Language" STRING 0 vendor="innovaphone" comment="Defines the user interface language" "" 
netsh Dhcp Server Add Optiondef 205 "Location" STRING 0 vendor="innovaphone" comment="Defines the various PBX access numbers (country code etc.) for the device" "" 
netsh Dhcp Server Add Optiondef 206 "VLAN ID" WORD 0 vendor="innovaphone" comment="The 802.1q VLAN ID for traffic sent and received by the device" 0 
netsh Dhcp Server Add Optiondef 207 "VLAN Priority" BYTE 0 vendor="innovaphone" comment="The 802.1p VLAN priority for traffic sent by the device" 0 
netsh Dhcp Server Add Optiondef 208 "TOS Bits" STRING 0 vendor="innovaphone" comment="The value for the IP TOS field in the IP header of voice traffic sent by the device" "" 
netsh Dhcp Server Add Optiondef 209 "Enbloc dialling" BYTE 0 vendor="innovaphone" comment="The number of seconds dialled digits are kept in the phone before they are sent en-bloc to the gatekeeper" 0 
netsh Dhcp Server Add Optiondef 210 "Dialtone type" BYTE 0 vendor="innovaphone" comment="The type of dialtone to generate locally" 0 
netsh Dhcp Server Add Optiondef 211 "Faststart" BYTE 0 vendor="innovaphone" comment="Disable/Enable the H245 faststart procedure" 0 
netsh Dhcp Server Add Optiondef 212 "H245-Tunnelling" BYTE 0 vendor="innovaphone" comment="Disable/Enable H245 tunneling" 0 
netsh Dhcp Server Add Optiondef 213 "Clock type" BYTE 0 vendor="innovaphone" comment="Define format of date and time display" 0 
netsh Dhcp Server Add Optiondef 214 "Static Routes" STRING 0 vendor="innovaphone" comment="Static routes to be added to the routes already defined in the device configuration" "" 
netsh Dhcp Server Add Optiondef 215 "Update URL" STRING 0 vendor="innovaphone" comment="URL to retrieve update commands from. This is identical to the /url option parameter of the UP1 module" "" 
netsh Dhcp Server Add Optiondef 216 "Update Poll Interval" WORD 0 vendor="innovaphone" comment="Standard poll interval in minutes. This is identical to the /poll option parameter of the UP1 module" 0 
netsh Dhcp Server Add Optiondef 217 "LDAP directory" STRING 0 vendor="innovaphone" comment="Defines the various Parameters required to access an LDAP directory" "" 
netsh Dhcp Server Add Optiondef 218 "Local Networks" STRING 0 vendor="innovaphone" comment="Defines the networks to be considered local in coder negotiation" "" 
netsh Dhcp Server Add Optiondef 219 "STUN Server" STRING 0 vendor="innovaphone" comment="Defines the IP addresses or domain names of STUN servers" ""
netsh Dhcp Server Add Optiondef 220 "VOIP Protocol" STRING 0 vendor="innovaphone" comment="The VoIP Protocol to be used for the Primary Registration (User-1) of a VoIP telephone" ""
netsh Dhcp Server Add Optiondef 221 "TURN Server" STRING 0 vendor="innovaphone" comment="Defines the IP address and credentials of a TURN server" ""


exit


:noserver
echo *******************
echo **** E R R O R ****
echo *******************
echo '
echo Please check your DHCP Server
echo *****************************
echo this script is only for Windows Server 2003
echo with running Microsoft DHCP Server
echo Try any of the listed Server below
for /F "delims=: tokens=2" %%d in ('ipconfig /all^|findstr /I /C:"DHCP-Server"') do @echo %%d
echo Press any key to exit
pause > NUL
exit
